package mark2web

import "gitbase.de/apairon/mark2web/pkg/jobm"

// Run will do a complete run of mark2web
func Run(inDir, outDir string, defaultPathConfig *PathConfig) {
	SetTemplateDir(inDir + "/templates")

	tree := new(TreeNode)
	tree.ReadContentDir(inDir+"/content", outDir, "", defaultPathConfig)
	tree.ProcessContent()

	ProcessAssets()

	tree.WriteWebserverConfig()

	jobm.Wait()
}
